# class DBus::Type::StructFactory

Syntactic helper for constructing a struct `Type`. You may be looking for {Data::Struct} instead. @example

    t = Type::Struct[Type::INT16, Type::STRING]

### Public Class Methods

[](*member_types) click to toggle source

@param member_types [::Array<Type,SingleCompleteType>] @return [Type] (frozen)

        # File lib/dbus/type.rb
    376 def self.[](*member_types)
    377   raise ArgumentError if member_types.empty?
    378
    379   t = Type.new(STRUCT, abstract: true)
    380   member_types.each do |mt|
    381     t << make_type(mt)
    382   end
    383   t.members.freeze
    384   t
    385 end